package com.qmth.teachcloud.report.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.teachcloud.report.business.bean.result.TAExamCourseCollegeInspectResult;
import com.qmth.teachcloud.report.business.entity.TAExamCourseCollegeInspect;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 参考课程考察学院维度分析表 Mapper 接口
 * </p>
 *
 * @author wangliang
 * @since 2021-06-01
 */
public interface TAExamCourseCollegeInspectMapper extends BaseMapper<TAExamCourseCollegeInspect> {

    /**
     * 查找科目维度
     *
     * @param examId
     * @param courseCode
     * @return
     */
    List<TAExamCourseCollegeInspectResult> findCourseDescriptiveStatisticsForCollege(@Param("examId") Long examId, @Param("courseCode") String courseCode);
}
