package com.qmth.teachcloud.report;

import com.qmth.teachcloud.report.business.service.AnalyzeForStudentService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;

/**
 * @Description:
 * @Author: CaoZixuan
 * @Date:
 */
@SpringBootTest(classes = {TeachcloudReportApplication.class})
@RunWith(SpringRunner.class)
public class AnalyzeForStudentServiceTest {
    @Resource
    private AnalyzeForStudentService analyzeForStudentService;
    @Test
    public void buildAnalyzeExamCourse() {
        Long examId = 1L;
        String courseCode = "1013";
        System.out.println(analyzeForStudentService.buildAnalyzeExamCourse(examId,courseCode));

    }

    @Test
    public void buildAnalyzeExamCourseRecord() {
        Long examId = 1L;
        String courseCode = "1013";
        System.out.println(analyzeForStudentService.buildAnalyzeExamCourseRecord(examId,courseCode));
    }

    @Test
    public void buildAnalyzeExamCourseCollegeInspectByOther() {
        Long examId = 1L;
        String courseCode = "1013";
        System.out.println(analyzeForStudentService.buildAnalyzeExamCourseCollegeInspect(examId,courseCode));
    }

    @Test
    public void buildAnalyzeExamCourseClazz() {
        Long examId = 1L;
        String courseCode = "1013";
        System.out.println(analyzeForStudentService.buildAnalyzeExamCourseClazz(examId,courseCode));
    }

    @Test
    public void analyzePointScoreRate() throws Exception {
        Long examId = 1L;
        String courseCode = "1013";
        analyzeForStudentService.AnalyzePointScoreRate(examId,courseCode);
    }

    @Test
    public void buildAnalyzeExamCourseCollegeInspectDio() {
        Long examId = 1L;
        String courseCode = "1013";
        System.out.println(analyzeForStudentService.buildAnalyzeExamCourseCollegeInspectDio(examId,courseCode));
    }

    @Test
    public void buildAnalyzePaperStruct() {
        Long examId = 1L;
        String courseCode = "1013";
        System.out.println(analyzeForStudentService.buildAnalyzePaperStruct(examId,courseCode));
    }

    @Test
    public void buildAnalyzeExamTotal() {
        Long examId = 1L;
        System.out.println(analyzeForStudentService.buildAnalyzeExamTotal(examId));
    }

    @Test
    public void buildAnalyzeExamCourseCollegeTeacher() {
        Long examId = 1L;
        String courseCode = "1013";
        System.out.println(analyzeForStudentService.buildAnalyzeExamCourseCollegeTeacher(examId,courseCode));
    }

    @Test
    public void buildAnalyzeExamCourseTeacher() {
        Long examId = 1L;
        String courseCode = "1013";
        System.out.println(analyzeForStudentService.buildAnalyzeExamCourseTeacher(examId,courseCode));
    }
}
